Bug 244222 - Review Request: perl-CGI-FastTemplate - Perl extension for managing templates, and performing variable interpolation
Review Request: perl-CGI-FastTemplate - Perl extension for managing templates...
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2007-06-14 11:53 EDT by Jeffrey C. Ollie
Modified: 2014-10-27 07:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-20 13:20:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
limburgher: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Jeffrey C. Ollie 2007-06-14 11:53:40 EDT
Spec URL: http://repo.ocjtech.us/misc/fedora/development/SRPMS/perl-CGI-FastTemplate-1.09-1.fc8.spec
SRPM URL: http://repo.ocjtech.us/misc/fedora/development/SRPMS/perl-CGI-FastTemplate-1.09-1.fc8.src.rpm

CGI::FastTemplate manages templates and parses templates replacing
variable names with values.  It was designed for mid to large scale web
applications (CGI, mod_perl) where there are great benefits to separating
the logic of an application from the specific implementation details.
Comment 2 Jason Tibbitts 2007-06-15 16:10:28 EDT
Not much to say here; builds fine and rpmlint is quiet.

I guess if I really wanted to pick nits, there's a comma fault in Summary.

* source files match upstream:
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl-CGI-FastTemplate = 1.09-2.fc8
* %check is present and all tests pass:
   All tests successful.
   Files=5, Tests=10,  0 wallclock secs ( 0.05 cusr +  0.05 csys =  0.10 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

Comment 3 Jeffrey C. Ollie 2007-06-15 21:12:17 EDT
Thanks for the review!

New Package CVS Request
Package Name: perl-CGI-FastTemplate
Short Description: Perl extension for managing templates and performing variable
Owners: jeff@ocjtech.us
Branches: FC-6 F-7 devel
Comment 4 Kevin Fenzi 2007-06-15 23:51:33 EDT
cvs done.
Comment 5 Jeffrey C. Ollie 2007-06-20 13:20:28 EDT
Packages built...
Comment 6 Ken Dreyer 2014-05-07 18:59:01 EDT
Package Change Request
Package Name: perl-CGI-FastTemplate
New Branches: el6
Owners: ktdreyer
InitialCC: perl-sig

Emailed Jeff via personal email last week. I'll be maintaining the EL6 branch to support ikiwiki in EPEL.
Comment 7 Jon Ciesla 2014-05-08 08:13:59 EDT
Git done (by process-git-requests).
Comment 8 Ken Dreyer 2014-10-24 17:18:52 EDT
Package Change Request
Package Name: perl-CGI-FormBuilder
New Branches: epel7
Owners: ktdreyer
InitialCC: perl-sig
Comment 9 Ken Dreyer 2014-10-24 17:19:15 EDT
Sigh, bad copy & paste...

Package Change Request
Package Name: perl-CGI-FastTemplate
New Branches: epel7
Owners: ktdreyer
InitialCC: perl-sig
Comment 10 Jon Ciesla 2014-10-27 07:57:31 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.